## com.vividsolutions.jts.geom.prep
Class LineNode

    java.lang.Object
      com.vividsolutions.jts.geom.prep.LineNode

public class LineNode
extends java.lang.Object

Field Summary
`static int` `BACKWARD`
`static int` `FORWARD`

Constructor Summary
`LineNode(SegmentNode node, int locForward, int locBackward)`

Method Summary
`int` `getLocation(int position)`
`int[]` `getLocations()`
`SegmentNode` `getNode()`
`void` `mergeLabel(int locForward, int locBackward)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORWARD

    public static final int FORWARD

See Also:
  Constant Field Values

### BACKWARD

    public static final int BACKWARD

See Also:
  Constant Field Values

Constructor Detail

### LineNode

    public LineNode(SegmentNode node,
                    int locForward,
                    int locBackward)

Method Detail

### mergeLabel

    public void mergeLabel(int locForward,
                           int locBackward)

### getLocations

    public int[] getLocations()

### getLocation

    public int getLocation(int position)

### getNode

    public SegmentNode getNode()